<html>
<head>
<title>OGRE: Ogre::ShadowTextureConfig Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1ShadowTextureConfig.html">ShadowTextureConfig</a></div>
<h1>Ogre::ShadowTextureConfig Struct Reference</h1><!-- doxytag: class="Ogre::ShadowTextureConfig" -->Structure containing the configuration for one shadow texture.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreShadowTextureManager_8h-source.html">OgreShadowTextureManager.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1ShadowTextureConfig-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ShadowTextureConfig.html#1572e06277a6253f88d16891a3a8aa25">ShadowTextureConfig</a> ()</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ShadowTextureConfig.html#90f0b94c8b385c5df3cd1b39fd5b0e56">width</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ShadowTextureConfig.html#0c27fe5c351d3697932ead1893ddf16d">height</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ShadowTextureConfig.html#beaa5079ee032be898755c74bdd6ec10">format</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Structure containing the configuration for one shadow texture. 
<p>

<p>Definition at line <a class="el" href="OgreShadowTextureManager_8h-source.html#l00045">45</a> of file <a class="el" href="OgreShadowTextureManager_8h-source.html">OgreShadowTextureManager.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="1572e06277a6253f88d16891a3a8aa25"></a><!-- doxytag: member="Ogre::ShadowTextureConfig::ShadowTextureConfig" ref="1572e06277a6253f88d16891a3a8aa25" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ShadowTextureConfig::ShadowTextureConfig           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowTextureManager_8h-source.html#l00051">51</a> of file <a class="el" href="OgreShadowTextureManager_8h-source.html">OgreShadowTextureManager.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="90f0b94c8b385c5df3cd1b39fd5b0e56"></a><!-- doxytag: member="Ogre::ShadowTextureConfig::width" ref="90f0b94c8b385c5df3cd1b39fd5b0e56" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structOgre_1_1ShadowTextureConfig.html#90f0b94c8b385c5df3cd1b39fd5b0e56">Ogre::ShadowTextureConfig::width</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowTextureManager_8h-source.html#l00047">47</a> of file <a class="el" href="OgreShadowTextureManager_8h-source.html">OgreShadowTextureManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0c27fe5c351d3697932ead1893ddf16d"></a><!-- doxytag: member="Ogre::ShadowTextureConfig::height" ref="0c27fe5c351d3697932ead1893ddf16d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structOgre_1_1ShadowTextureConfig.html#0c27fe5c351d3697932ead1893ddf16d">Ogre::ShadowTextureConfig::height</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowTextureManager_8h-source.html#l00048">48</a> of file <a class="el" href="OgreShadowTextureManager_8h-source.html">OgreShadowTextureManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="beaa5079ee032be898755c74bdd6ec10"></a><!-- doxytag: member="Ogre::ShadowTextureConfig::format" ref="beaa5079ee032be898755c74bdd6ec10" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="structOgre_1_1ShadowTextureConfig.html#beaa5079ee032be898755c74bdd6ec10">Ogre::ShadowTextureConfig::format</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreShadowTextureManager_8h-source.html#l00049">49</a> of file <a class="el" href="OgreShadowTextureManager_8h-source.html">OgreShadowTextureManager.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreShadowTextureManager_8h-source.html">OgreShadowTextureManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:38 2008
</p>
</body>
</html>
